Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.util
Class ErrorAnalysisUtility

    java.lang.Object
      portlets.compoze.groupware.util.ErrorAnalysisUtility

All Implemented Interfaces:
  java.io.Serializable

public class ErrorAnalysisUtility
extends java.lang.Object
implements java.io.Serializable

This class analyzes an exception an returns a property key with a better explanation of an exception.

See Also:
  Serialized Form

Constructor Summary
`ErrorAnalysisUtility()`

Method Summary
`static java.util.HashMap` | `getCalendarErrors()` Gets the calendar errors.
`static java.util.HashMap` | `getContactsErrors()` Gets the contacts errors.
`static java.lang.String` | `getExceptionString(java.lang.Throwable exception)` Gets the string representation of a stacktrace of an exception.
`static FeatureGroup.Feature` | `getFeatureOfExceptionOrigin(java.lang.Throwable exception)` Gets the feature where the exception occurred.
`static java.lang.String` | `getPropertKeyForException(java.lang.Throwable exception)` Gets the property key for an error message which may better explain the exception to the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorAnalysisUtility

    public ErrorAnalysisUtility()

Method Detail

### getPropertKeyForException

    public static java.lang.String getPropertKeyForException(java.lang.Throwable exception)

  Gets the property key for an error message which may better explain the exception to the user.

  Parameters:
    `exception` - the exception to analyze
  Returns:
    the property key for an error message

### getCalendarErrors

    public static java.util.HashMap getCalendarErrors()

  Gets the calendar errors.

  Returns:
    the hashmap of mail errors.

### getContactsErrors

    public static java.util.HashMap getContactsErrors()

  Gets the contacts errors.

  Returns:
    the hashmap of contacts errors.

### getFeatureOfExceptionOrigin

    public static FeatureGroup.Feature getFeatureOfExceptionOrigin(java.lang.Throwable exception)
                                                            throws java.lang.NullPointerException

  Gets the feature where the exception occurred.

  Parameters:
    `exception` - the exception
  Returns:
    the feature where the exception occurred or `null` if the feature could not be determinined.
  Throws:
    `java.lang.NullPointerException`

### getExceptionString

    public static java.lang.String getExceptionString(java.lang.Throwable exception)
                                               throws java.lang.NullPointerException

  Gets the string representation of a stacktrace of an exception.

  Parameters:
    `exception` - the exception
  Returns:
    the feature where the exception occurred or `null` if the feature could not be determinined.
  Throws:
    `java.lang.NullPointerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.